package input;

/**
 * Prsentation simplifiee d'un attribut.
 * Ils sont publiques, sans valeur initiales
 * @author jroyer
 *
 */
public class Attribute {
	
	/**
	 * Le type.
	 */
	protected String type;
	
	/**
	 * Le nom de l'attribut.
	 */
	protected String name;
	
	/**
	 * Constructeur d'attribut.
	 * @param tp type
	 * @param n nom
	 */
	public Attribute(String tp, String n) {
		this.type = tp;
		this.name = n;
	}

	/**
	 * 
	 * @return genere le code.
	 */
	public String generate() {
		return Keywords.TAB + Keywords.COMMENT 
				+ "L'attribut " + this.getName() + Keywords.NEWLINE
				+ Keywords.TAB + Keywords.PUBLIC + this.getType() + Keywords.BLANC 
				+ this.getName() + Keywords.SEMICOLON + Keywords.NEWLINE;
		
	}
	
	/**
	 * 
	 * @return genere un parametre correspondant.
	 */
	public String generateParameter() {
		return this.getType() + Keywords.BLANC + this.getName();
	}
	
	/**
	 * 
	 * @return le type.
	 */
	public String getType() {
		return type;
	}

	/**
	 * Affecte le type.
	 * @param type une chaine
	 */
	public void setType(final String type) {
		this.type = type;
	}

	/**
	 * 
	 * @return le nom.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Affecte le nom.
	 * @param name une chaine
	 */
	public void setName(final String name) {
		this.name = name;
	}
	
	/**
	 * @return converion en chaine.
	 */
	public String toString() {
		return this.getName() + ":" + this.getType();
	}

}
